FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::parser::ArraySpec Struct Reference

## Public Member Functions
| UNION_CLASS_BOILERPLATE (ArraySpec)

## Public Attributes
std::variant< std::list< ExplicitShapeSpec >, std::list< AssumedShapeSpec >, DeferredShapeSpecList, AssumedSizeSpec, ImpliedShapeSpec, AssumedRankSpec > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h